﻿#targetengine "session"

//Блок инициализации основные параметров скрипта, считывание ini-файла

if (BridgeTalk.appName == "indesign") {

	var myWorkPath = "";
	
	var myIniStartFile = File(Folder.userData + "/mt-start1-08.ini");
	
	if (myIniStartFile.exists == true) {
		if (myIniStartFile.open('r')) {
			myWorkPath = myIniStartFile.readln();
			MathTypePath = myIniStartFile.readln();
			myIniStartFile.close(); }
		}
		
	try{
		app.menus.item("$ID/Main").submenus.item("MT-Script1-08").remove();
	}
	catch(myError){}
	
	if (myWorkPath != "") {InitMenu()} else {
			alert("ВНИМАНИЕ! В процессе загрузки InDesign это сообщение будет повторяться три раза.\nЗапустите MT-Dialog1-08, чтобы загрузить меню", "MT-Script 1-08", false)}
	
	} // if (Bridge


// ************************************************************************************************** //

function InitMenu() {
	
	var myPasteFormula = app.scriptMenuActions.add("&Разместить формулы вместо текста с тэгами << >>");
	var myELPasteFormula = myPasteFormula.eventListeners.add("onInvoke", menuPasteFormula, false);
	
	var myNewFormula = app.scriptMenuActions.add("&Вставить новую формулу");
	var myELNewFormula = myNewFormula.eventListeners.add("onInvoke", menuInsertFormula, false);

	var myEditFormula = app.scriptMenuActions.add("&Исправить формулу");
	var myELEditFormula = myEditFormula.eventListeners.add("onInvoke", menuEditFormula, false);
	
	var myDoubleFormula = app.scriptMenuActions.add("&Проверить дублированные формулы");
	var myELDoubleFormula = myDoubleFormula.eventListeners.add("onInvoke", menuDoubleFormula, false);

	var myTreatFormula = app.scriptMenuActions.add("&Обработать текст с формулами");
	var myELTreatFormula = myTreatFormula.eventListeners.add("onInvoke", menuTreatFormula, false);
	
	var myConvertFormula = app.scriptMenuActions.add("П&акетное преобразование формул");
	var myELConvertFormula = myConvertFormula.eventListeners.add("onInvoke", menuConvertFormula, false);
	
	var myPrefFormula = app.scriptMenuActions.add("&Установки");
	var myELPrefFormula = myPrefFormula.eventListeners.add("onInvoke", menuPrefFormula, false);


	//If the submenu "Script Menu Action" does not already exist, create it.
	try{
		var myMTScriptMenu = app.menus.item("$ID/Main").submenus.item("MT-Script1-08");
		myMTScriptMenu.title;
	}
	catch (myError){
		var myMTScriptMenu = app.menus.item("$ID/Main").submenus.add("MT-Script1-08");
		var myPasteFormulaMenuItem = myMTScriptMenu.menuItems.add(myPasteFormula);
		var myNewFormulaMenuItem = myMTScriptMenu.menuItems.add(myNewFormula);
		var myEditFormulaMenuItem = myMTScriptMenu.menuItems.add(myEditFormula);
		var myDoubleFormulaMenuItem = myMTScriptMenu.menuItems.add(myDoubleFormula);
		var myTreatFormulaMenuItem = myMTScriptMenu.menuItems.add(myTreatFormula);
		var myConvertFormulaMenuItem = myMTScriptMenu.menuItems.add(myConvertFormula);
		var myDoubleFormulaMenuItem = myMTScriptMenu.menuItems.add(myPrefFormula);
	}
	
}

// ************************************************************************************************** //

	function menuPasteFormula(myEvent) {
		
		var myDocument = app.documents
		
		if (myDocument.length > 0) {
		
				myScript = new File(myWorkPath+"/MT-PasteEq1-08.jsxbin")
			
				if (!myScript.exists) {
					myScript = new File(myWorkPath+"/MT-PasteEq1-08.jsx")
					}
			
				if (myScript.exists) {app.doScript(myScript, ScriptLanguage.javascript)}
					else {
						alert("Не удается запустить скрипт MT-PasteEq1-08", "MT-Script 1-08", false)
						}
				
			} else {alert("Для работы MT-Script1-08 необходим\nхотя бы один открытый документ", "MT-Script 1-08", false)}
	
		}

// ************************************************************************************************** //

	function menuInsertFormula(myEvent) {
		
		var myDocument = app.documents
		
		if (myDocument.length > 0) {
		
			myScript = new File(myWorkPath+"/MT-NewEq1-08.jsxbin")
			
			if (!myScript.exists) {
				myScript = new File(myWorkPath+"/MT-NewEq1-08.jsx")
				}
			
			if (myScript.exists) {app.doScript(myScript, ScriptLanguage.javascript)}
				else {
					alert("Не удается запустить скрипт MT-NewEq1-08", "MT-Script 1-08", false)
					}
				
		} else {alert("Для работы MT-Script1-08 необходим\nхотя бы один открытый документ", "MT-Script 1-08", false)}
	
		}
	
// ************************************************************************************************** //
	
	
	function menuEditFormula(myEvent) {
		
		var myDocument = app.documents
		
		if (myDocument.length > 0) {
		
			myScript = new File(myWorkPath+"/MT-EditEq1-08.jsx")
			
			if (!myScript.exists) {
				myScript = new File(myWorkPath+"/MT-EditEq1-08.jsxbin")
				}
			
			if (myScript.exists) {app.doScript(myScript, ScriptLanguage.javascript)}
				else {
					alert("Не удается запустить скрипт MT-EditEq1-08", "MT-Script 1-08", false)
					} 
				
		} else {alert("Для работы MT-Script1-08 необходим\nхотя бы один открытый документ", "MT-Script 1-08", false)}
	
	}

// ************************************************************************************************** //

	function menuTreatFormula(myEvent) {
		
		var myDocument = app.documents
		
		if (myDocument.length > 0) {
			
			myScript = new File(myWorkPath+"/MT-TreatEq1-08.jsx")
			
			if (!myScript.exists) {
				myScript = new File(myWorkPath+"/MT-TreatEq1-08.jsxbin")
				}
			
			if (myScript.exists) {app.doScript(myScript, ScriptLanguage.javascript)}
				else {
					alert("Не удается запустить скрипт MT-TreatEq1-08", "MT-Script 1-08", false)
					}
				
		} else {alert("Для работы MT-Script1-08 необходим\nхотя бы один открытый документ", "MT-Script 1-08", false)}
	
	}

// ************************************************************************************************** //

	function menuPrefFormula(myEvent) {	
		
		var myDocument = app.documents
		
		if (myDocument.length > 0) {
		
			myScript = new File(myWorkPath+"/MT-Dialog1-08.jsx")
			
			if (!myScript.exists) {
				myScript = new File(myWorkPath+"/MT-Dialog1-08.jsxbin")
				}
			
			if (myScript.exists) {app.doScript(myScript, ScriptLanguage.javascript)}
				else {
					alert("Не удается запустить скрипт MT-Dialog1-08", "MT-Script 1-08", false)
					}
				
		} else {alert("Для работы MT-Script1-08 необходим\nхотя бы один открытый документ", "MT-Script 1-08", false)}
	
	}

// ************************************************************************************************** //


	function menuDoubleFormula(myEvent) {	
		
		var myDocument = app.documents
		
		if (myDocument.length > 0) {
		
			myScript = new File(myWorkPath+"/MT-ClearDoubleLinks1-08.jsx")
			
			if (!myScript.exists) {
				myScript = new File(myWorkPath+"/MT-ClearDoubleLinks1-08.jsxbin")
				}
			
			if (myScript.exists) {app.doScript(myScript, ScriptLanguage.javascript)}
				else {
					alert("Не удается запустить скрипт MT-ClearDoubleLinks1-08", "MT-Script 1-08", false)
					}
				
		} else {alert("Для работы MT-Script1-08 необходим\nхотя бы один открытый документ", "MT-Script 1-08", false)}
	
	}

// ************************************************************************************************** //


	function menuConvertFormula(myEvent) {	
		
		var myDocument = app.documents
		
		if (myDocument.length > 0) {
		
			myScript = new File(myWorkPath+"/MT-Convert1-08.jsx")
			
			if (!myScript.exists) {
				myScript = new File(myWorkPath+"/MT-Convert1-08.jsxbin")
				}
			
			if (myScript.exists) {app.doScript(myScript, ScriptLanguage.javascript)}
				else {
					alert("Не удается запустить скрипт MT-Convert1-08", "MT-Script 1-08", false)
					}
				
		} else {alert("Для работы MT-Script1-08 необходим\nхотя бы один открытый документ", "MT-Script 1-08", false)}
	
	}

// ************************************************************************************************** //




